Get Stack Profile Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"profile": {
"id": "<string>",
"organisation_id": "<string>",
"name": "<string>",
"category": "<string>",
"latest_version": 123,
"current_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [],
"source_cluster_id": "<string>",
"created_by_user_id": "<string>"
},
"versions": [],
"latest_version_detail": {
"id": "<string>",
"version": 123,
"channel": "<string>",
"spec": {
"git_repository": {
"credential_name": "<string>",
"branch": "<string>",
"repository": "<string>",
"provider": "github"
},
"prometheus_metrics": {
"endpoint": "<string>",
"credential_name": "<string>",
"flavor": "<string>"
},
"prometheus_credential": {
"name": "<string>",
"username": "<string>",
"password": "<string>",
"token": "<string>"
},
"stacks": [],
"kubernetes": {
"version": "0.0.0"
},
"provider": "imported",
"argo_cd": {
"namespace": "<string>",
"version": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"parameters": [],
"redacted_secret_paths": {},
"changelog": "<string>",
"created_by_user_id": "<string>"
},
"current_version_detail": {
"id": "<string>",
"version": 123,
"channel": "<string>",
"spec": {
"git_repository": {
"credential_name": "<string>",
"branch": "<string>",
"repository": "<string>",
"provider": "github"
},
"prometheus_metrics": {
"endpoint": "<string>",
"credential_name": "<string>",
"flavor": "<string>"
},
"prometheus_credential": {
"name": "<string>",
"username": "<string>",
"password": "<string>",
"token": "<string>"
},
"stacks": [],
"kubernetes": {
"version": "0.0.0"
},
"provider": "imported",
"argo_cd": {
"namespace": "<string>",
"version": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"parameters": [],
"redacted_secret_paths": {},
"changelog": "<string>",
"created_by_user_id": "<string>"
},
"update_status": {
"outdated_instantiation_count": 0,
"has_update_available": false
}
}Stack Profiles API
Get Stack Profile Endpoint
GET
/
api
/
v1
/
org
/
stack-profiles
/
{profile_id}
Get Stack Profile Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/stack-profiles/{profile_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"profile": {
"id": "<string>",
"organisation_id": "<string>",
"name": "<string>",
"category": "<string>",
"latest_version": 123,
"current_version": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"tags": [],
"source_cluster_id": "<string>",
"created_by_user_id": "<string>"
},
"versions": [],
"latest_version_detail": {
"id": "<string>",
"version": 123,
"channel": "<string>",
"spec": {
"git_repository": {
"credential_name": "<string>",
"branch": "<string>",
"repository": "<string>",
"provider": "github"
},
"prometheus_metrics": {
"endpoint": "<string>",
"credential_name": "<string>",
"flavor": "<string>"
},
"prometheus_credential": {
"name": "<string>",
"username": "<string>",
"password": "<string>",
"token": "<string>"
},
"stacks": [],
"kubernetes": {
"version": "0.0.0"
},
"provider": "imported",
"argo_cd": {
"namespace": "<string>",
"version": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"parameters": [],
"redacted_secret_paths": {},
"changelog": "<string>",
"created_by_user_id": "<string>"
},
"current_version_detail": {
"id": "<string>",
"version": 123,
"channel": "<string>",
"spec": {
"git_repository": {
"credential_name": "<string>",
"branch": "<string>",
"repository": "<string>",
"provider": "github"
},
"prometheus_metrics": {
"endpoint": "<string>",
"credential_name": "<string>",
"flavor": "<string>"
},
"prometheus_credential": {
"name": "<string>",
"username": "<string>",
"password": "<string>",
"token": "<string>"
},
"stacks": [],
"kubernetes": {
"version": "0.0.0"
},
"provider": "imported",
"argo_cd": {
"namespace": "<string>",
"version": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"parameters": [],
"redacted_secret_paths": {},
"changelog": "<string>",
"created_by_user_id": "<string>"
},
"update_status": {
"outdated_instantiation_count": 0,
"has_update_available": false
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Successful Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I